;;; who-is-who-control.el --- who-is-who Data Base Control File
;; The forms mode control file for who-is-who entries

;; Author:  Andreas Weingessel <Andreas.Weingessel@ci.tuwien.ac.at>
;; Last modified on 1996/01/16

;; Copyright (c) 1996 Andreas Weingessel

(require 'who-is-who)

(setq forms-file who-is-who-data-file
      forms-read-only t
      forms-field-sep "|"
      forms-multi-line "\^k"
      forms-number-of-fields
      (forms-enumerate
       '(user-name uid gid full-name home-dir log-sh mat-nr knz
		   description home-adr busin-adr editor-name
		   editor-date creator-name creator-date))
      forms-new-record-filter 'who-is-who-default-values
      forms-modified-record-filter 'who-is-who-modified-values)

(defun who-is-who-skip (col field)
  "Skips COL columns minus the length of FIELD"
  (make-string (- col (length (nth field forms-fields))) ? ))

(setq forms-format-list
      (list
       "====== Visiting " forms-file " ======\n\n"
       "Full Name:      "    full-name
       "\n\n"
       "User Name:      "    user-name
       '(who-is-who-skip 25 user-name)
       "UID: "	             uid
       '(who-is-who-skip 8 uid)
       "GID: "               gid
       "\n\n"
       "Homedir:        "    home-dir
       '(who-is-who-skip 25 home-dir)
       "Login Shell: "       log-sh
       "\n\n\n"
       "Matrikelnummer: "    mat-nr
       '(who-is-who-skip 25 mat-nr)
       "Kennzahl: "          knz
       "\n\n"
       "Description:    "    description
       "\n\n"
       "Home Address:\n"     home-adr
       "\n\n"
       "Business Address:\n" busin-adr
       "\n\n"
       '(make-string 79 ?-)
       "\n\n"
       "Created by     "     creator-name
       " on "                creator-date
       "\n"
       "Last edited by "     editor-name
       " on "                editor-date 
       "\n"))
