;;; who-is-who.el --- who-is-who Data Base
;; loads the forms mode control file for who-is-who entries

;; Author:  Andreas Weingessel <Andreas.Weingessel@ci.tuwien.ac.at>
;; Last modified on 1996/10/29

;; Copyright (c) 1996 Andreas Weingessel


(defvar who-is-who-data-file
  "/data/Sysadmin/Accounts/who-is-who.dat"
  "Location of the who-is-who data base")

(defvar who-is-who-control-file
  "/usr/local/lib/emacs/site-lisp/local/who-is-who-control.el"
  "Location of the forms mode control file")

(defun who-is-who-default-values (record)
  (aset record gid "112")
  (aset record log-sh "/bin/bash")
  (aset record editor-name (user-full-name))
  (aset record editor-date (current-time-string))
  (aset record creator-name (user-full-name))
  (aset record creator-date (current-time-string))
  record)

(defun who-is-who-modified-values (record)
   (aset record editor-name (user-full-name))
   (aset record editor-date (current-time-string))
   (if (null (aref record home-dir))
       (aset record home-dir (aref record full-name)))
   record)

;;;###autoload
(defun who-is-who ()
  "Visit the who-is-who database using Forms mode."
  (interactive) 
  (forms-find-file who-is-who-control-file))

(provide 'who-is-who)




