;;; Settings for E1071/CI TU Wien sites
(message "Loading E1071/CI TU Wien specific defaults ...")

(setq archie-server "archie.univie.ac.at"
      calendar-latitude 48.2
      calendar-longitude 16.0
      calendar-location-name "Vienna, Austria"
      elisp-archive-host "ftp.univie.ac.at"
      elisp-archive-directory "/packages/gnu/elisp-archive/"
      gnus-nntp-server "news.tuwien.ac.at"
      gnus-local-organization "Technische Universitt Wien"	     
      gnus-group-faq-directory
      "/ftp@ftp.Germany.EU.net:/pub/newsarchive/news.answers/"
      gnus-default-subscribed-newsgroups
      '("at.tuwien.general" "at.tuwien.tunet" "gnu.emacs.gnus"
	"news.announce.newusers" "news.answers" )
      mc-pgp-fetch-methods '(mc-pgp-fetch-from-keyrings)
      mc-pgp-fetch-keyring-list '("/usr/local/lib/pgp/pubring.pgp")
      mc-pgp-keyserver-address "www.cl.cam.ac.uk"
      mc-pgp-keyserver-port 80
      mc-pgp-keyserver-url-template
      "/cgi-bin/pks-extract-key.pl?op=get&search=%s")

(setq default-major-mode 'text-mode
      initial-major-mode 'text-mode)

;; get site-wide user names and aliases
(defun kh-mail-directory-parser ()
  (let (alist pos name definition)
    (goto-char (point-min))
    ;; The directory service returns the output from `ypcat passwd' and
    ;; `cat /etc/aliases', separated by a form feed.  Hence, we look for
    ;; this form feed, extract the user names from the first part and
    ;; define mail aliases from the second one.
    (setq pos (- (re-search-forward "\f") 1))
    (goto-char (point-min))
    (while (< (point) pos)
      (if (looking-at "\\+?\\([^:@\n+]+\\)")
          (add-to-list 'alist (list (match-string 1))))
      (beginning-of-line 2))
    (beginning-of-line 2)
    (while (re-search-forward
            "\\(^[^:#\n]*\\):[ \t\n]*\\([^,\n]*\\(,[ \t\n]*[^,\n]*\\)*\\)"
            nil 'move)
      (setq name (match-string 1)
	    definition (match-string 2))
      (if (string-match "^[\":]" definition)
          (add-to-list 'alist (list name))
	(define-mail-alias name definition)
	(define-mail-abbrev name definition)))
  alist))

(setq mail-directory-function 'mail-directory-process
      mail-directory-parser 'kh-mail-directory-parser
      mail-directory-process
      '(remote-shell-program
	"fangorn" "-n"
	"ypcat passwd;" "printf '\f\n';" "cat /etc/aliases;"))
